let Parse = getApp().Parse;
const company = getApp().globalData.company
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: null,
        merchant: null,
        id: null,

    },
    // onChange({ detail }, e) {
    //     // 需要手动对 checked 状态进行更新
    //     detail = e.currentTarget.dataset.item.status
    //         // this.setData({ checked: detail });
    // },
    async getShopgoods() {
        let ShopStore = new Parse.Query('ShopStore')
        ShopStore.equalTo('user', this.data.merchant.objectId)
        let res = await ShopStore.first()
        let id = res.toJSON().objectId
        let Coupon = new Parse.Query('ShopGoods')
        Coupon.equalTo('shopStore', id)
        Coupon.equalTo('company', company)
        Coupon.equalTo('type', 'meal')
        let coupon = await Coupon.find()
        if (coupon && coupon.length > 0) {
            let listJSON = []
            coupon.forEach(c => {
                listJSON.push(c.toJSON())
            })
            this.setData({
                list: listJSON
            })
        }
        console.log(this.data.list);
    },
    append() {

        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/package/append/index'
        });

    },
    appends(e) {
        let id = e.currentTarget.dataset.item.objectId
        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/package/append/index?id=' + id
        });

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        let merchant = wx.getStorageSync('merchant'); //用户
        this.setData({ merchant: merchant })
        this.getShopgoods()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {
        this.getShopgoods()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})